# CCMS Third Party Dependencies

CCMS depends on third party libraries to implement some
functionality. This document describes which libraries are depended
upon, and how. It is maintained by and for humans, and so while it is a
best effort attempt to describe the server’s dependencies, it is subject
to change as libraries are added or removed.

| Name                                      | License    | Use Version |
| ----------------------------------------- | ---------- | ----------- |
| [TypeScript]                              | MIT        | 4.0.2       |
| [@babel/core]                             | MIT        | 7.11.4      |
| [@babel/plugin-proposal-class-properties] | MIT        | 7.10.4      |
| [@babel/plugin-proposal-decorators]       | MIT        | 7.10.5      |
| [@babel/plugin-syntax-dynamic-import]     | MIT        | 7.8.3       |
| [@babel/plugin-transform-runtime]         | MIT        | 7.11.0      |
| [@babel/preset-env]                       | MIT        | 7.11.0      |
| [@babel/preset-react]                     | MIT        | 7.10.4      |
| [babel-loader]                            | MIT        | 8.1.0       |
| [@testing-library/react]                  | MIT        | 11.0.4      |
| [@types/jest]                             | MIT        | 26.0.14     |
| [@types/marked]                           | MIT        | 1.2.0       |
| [@types/node]                             | MIT        | 14.11.2     |
| [@types/react-dom]                        | MIT        | 16.9.8      |
| [@types/react-loadable]                   | MIT        | 5.5.3       |
| [@types/react-test-renderer]              | MIT        | 16.9.3      |
| [@typescript-eslint/eslint-plugin]        | MIT        | 4.12.0      |
| [@typescript-eslint/parser]               | MIT        | 4.12.0      |
| [awesome-typescript-loader]               | MIT        | 5.2.1       |
| [babel-jest]                              | MIT        | 26.3.0      |
| [babel-plugin-import]                     | MIT        | 1.13.0      |
| [css-loader]                              | MIT        | 4.3.0       |
| [eslint]                                  | MIT        | 7.17.0      |
| [eslint-config-standard]                  | MIT        | 16.0.2      |
| [eslint-plugin-import]                    | MIT        | 2.22.1      |
| [eslint-plugin-node]                      | MIT        | 11.1.0      |
| [eslint-plugin-promise]                   | MIT        | 4.2.1       |
| [eslint-plugin-react]                     | MIT        | 7.22.0      |
| [express]                                 | MIT        | 4.17.1      |
| [father]                                  | MIT        | 2.29.11     |
| [html-webpack-plugin]                     | MIT        | 4.5.0       |
| [identity-obj-proxy]                      | MIT        | 3.0.0       |
| [jest]                                    | MIT        | 26.4.2      |
| [less]                                    | Apache 2.0 | 3.12.2      |
| [less-loader]                             | MIT        | 7.0.1       |
| [react-docgen]                            | MIT        | 5.3.1       |
| [style-loader]                            | MIT        | 1.2.1       |
| [ts-jest]                                 | MIT        | 26.4.0      |
| [typedoc]                                 | MIT        | 0.19.2      |
| [webpack]                                 | MIT        | 4.44.2      |
| [webpack-bundle-analyzer]                 | MIT        | 3.9.0       |
| [webpack-cli]                             | MIT        | 3.3.12      |
| [webpack-dev-server]                      | MIT        | 3.11.0      |
| [webpack-merge]                           | MIT        | 5.1.4       |
| [axios]                                   | MIT        | 0.20.0      |
| [marked]                                  | MIT        | 1.2.5       |
| [moment]                                  | MIT        | 2.29.0      |
| [query-string]                            | MIT        | 6.13.8      |
| [rc-table]                                | MIT        | 7.9.10      |
| [react-loadable]                          | MIT        | 5.5.0       |
| [react]                                   | MIT        | 16.13.1     |
| [react-dom]                               | MIT        | 16.13.1     |
| [react-test-renderer]                     | MIT        | 16.13.1     |
| [react-scripts]                           | MIT        | 4.0.1       |

[TypeScript]:https://github.com/microsoft/TypeScript
[babel]:https://github.com/babel/babel
[@babel/core]:https://github.com/babel/babel
[@babel/plugin-proposal-class-properties]:https://github.com/babel/babel
[@babel/plugin-proposal-decorators]:https://github.com/babel/babel
[@babel/plugin-syntax-dynamic-import]:https://github.com/babel/babel
[@babel/plugin-transform-runtime]:https://github.com/babel/babel
[@babel/preset-env]:https://github.com/babel/babel
[@babel/preset-react]:https://github.com/babel/babel
[babel-loader]:https://github.com/babel/babel
[@testing-library/react]:https://github.com/testing-library/react-testing-library
[@types/jest]:https://www.npmjs.com/package/@types/jest
[@types/marked]:https://www.npmjs.com/package/@types/marked
[@types/node]:https://www.npmjs.com/package/@types/node
[@types/react-dom]:https://www.npmjs.com/package/@types/react-dom
[@types/react-loadable]:https://www.npmjs.com/package/@types/react-loadable
[@types/react-test-renderer]:https://www.npmjs.com/package/@types/react-test-renderer
[@typescript-eslint/eslint-plugin]:https://github.com/typescript-eslint/typescript-eslint
[@typescript-eslint/parser]:https://github.com/typescript-eslint/typescript-eslint
[awesome-typescript-loader]: https://github.com/s-panferov/awesome-typescript-loader
[babel-jest]: https://github.com/facebook/jest
[babel-plugin-import]: https://github.com/ant-design/babel-plugin-import
[css-loader]: https://github.com/webpack-contrib/css-loader
[eslint]: https://github.com/eslint/eslint
[eslint-config-standard]: https://github.com/standard/eslint-config-standard
[eslint-plugin-import]: https://github.com/benmosher/eslint-plugin-import
[eslint-plugin-node]: https://github.com/mysticatea/eslint-plugin-node
[eslint-plugin-promise]: https://github.com/xjamundx/eslint-plugin-promise
[eslint-plugin-react]: https://github.com/yannickcr/eslint-plugin-react
[express]: https://github.com/expressjs/express
[father]: https://github.com/umijs/father
[html-webpack-plugin]: https://github.com/jantimon/html-webpack-plugin
[identity-obj-proxy]: https://github.com/keyz/identity-obj-proxy
[jest]: https://github.com/facebook/jest
[less]: https://github.com/less/less.js
[less-loader]: https://github.com/webpack-contrib/less-loader
[react-docgen]: https://github.com/reactjs/react-docgen
[style-loader]: https://github.com/webpack-contrib/style-loader
[ts-jest]: https://github.com/kulshekhar/ts-jest
[typedoc]: https://github.com/TypeStrong/TypeDoc
[webpack]: https://github.com/webpack/webpack
[webpack-bundle-analyzer]: https://github.com/webpack-contrib/webpack-bundle-analyzer
[webpack-cli]: https://www.npmjs.com/package/webpack-cli
[webpack-dev-server]: https://github.com/webpack/webpack-dev-server
[webpack-merge]: https://github.com/survivejs/webpack-merge
[axios]: https://github.com/axios/axios
[marked]: https://github.com/markedjs/marked
[moment]: https://github.com/moment/moment
[query-string]: https://github.com/sindresorhus/query-string
[rc-table]: https://github.com/react-component/table
[react-loadable]: https://github.com/jamiebuilds/react-loadable
[react]:https://github.com/facebook/react
[react-dom]:https://github.com/facebook/react
[react-test-renderer]:https://github.com/facebook/react
[react-scripts]:https://github.com/facebook/create-react-app
